Investors, warrants & staking
Get All Sub Investors
Lists every roleInOrg visible to the caller except itself, decorated with SUB_INVESTOR permissions.
GEThttps://api.toku.com/tga/get-all-sub-investors
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-all-sub-investors' \
--header 'Authorization: Bearer <token>'200 response
[
{
"personID": "string",
"roleInOrgID": "string",
"invitedByInvestorID": "string",
"givenName": "string",
"familyName": "string",
"email": "string",
"revokedAt": "string",
"permissions": [
{
"permissionName": "string",
"permissionDescription": "string",
"scope": "string"
}
]
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
personIDstring | nullroleInOrgIDstring | nullinvitedByInvestorIDstring | nullgivenNamestring | nullfamilyNamestring | nullemailstring | nullrevokedAtstring | nullpermissionsarray | nullShow child attributes
permissionNamestring | nullpermissionDescriptionstring | nullscopestring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits